If you see this error, it means that the Ably API key or token you've used to instance the library is not valid.


Solving this error:

  • If you are an admin of the app, open up the DSN dashboard in your Ably account and go to the 'API keys' tab. Here, you'll find all the API keys currently valid for your application. Use one of these API keys instead of your current one or create a new API key with the necessary permissions and privileges and use that to instance the library. 
  • If you are using Token Auth, make sure that you are doing everything you should request a valid token, which you then use with Ably. Here's a tutorial to help you with it.
  • If you are still unable to solve it, reach out to us and we'll be happy to help you out.